net.sf.jasperreports.web.servlets

## Class ReportPageStatus

- java.lang.Object
- - net.sf.jasperreports.web.servlets.ReportPageStatus

-     public class ReportPageStatus
      extends java.lang.Object

  Status of a page in a generated report.
  Version:
    $Id: ReportPageStatus.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ReportPageStatus` | `NO_SUCH_PAGE` Status that indicates that the requested page does not exist.
    `static ReportPageStatus` | `PAGE_FINAL` Status to indicate that a page in its final form has been generated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReportPageStatus(long status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Returns the timestamp of the last modification on the page.
    `boolean` | `hasModified()` Determines whether the page has been modified since the last request.
    `boolean` | `isPageFinal()` Determines whether the page is final.
    `static ReportPageStatus` | `nonFinal(long timestamp, boolean modified)` Creates a status for a non-final generated page.
    `boolean` | `pageExists()` Determines whether the page exists in the generated report.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_SUCH_PAGE

          public static final ReportPageStatus NO_SUCH_PAGE

      Status that indicates that the requested page does not exist.

    - #### PAGE_FINAL

          public static final ReportPageStatus PAGE_FINAL

      Status to indicate that a page in its final form has been generated.

  - ### Constructor Detail

    - #### ReportPageStatus

          protected ReportPageStatus(long status)

  - ### Method Detail

    - #### nonFinal

          public static ReportPageStatus nonFinal(long timestamp,
                                  boolean modified)

      Creates a status for a non-final generated page.
      Parameters:
        `timestamp` - the timestamp of the last modification of the page
        `modified` - whether the page was modified since the last request

    - #### pageExists

          public boolean pageExists()

      Determines whether the page exists in the generated report.
      Returns:
        whether the page exists in the generated report

    - #### isPageFinal

          public boolean isPageFinal()

      Determines whether the page is final.
      Returns:
        whether the page is final
      See Also:
        `FillListener.pageUpdated(net.sf.jasperreports.engine.JasperPrint, int)`

    - #### hasModified

          public boolean hasModified()

      Determines whether the page has been modified since the last request.
      Returns:
        whether the page has been modified since the last request

    - #### getTimestamp

          public long getTimestamp()

      Returns the timestamp of the last modification on the page.
      Returns:
        the timestamp of the last modification on the page

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com